## keyringer 0.2.9

=== Makefile ===
#
#  Keyringer Makefile by Silvio Rhatto (rhatto at riseup.net).
#
#  This Makefile is free software; you can redistribute it and/or modify it
#  under the terms of the GNU General Public License as published by the Free
#  Software Foundation; either version 3 of the License, or any later version.
#
#  This Makefile is distributed in the hope that it will be useful, but WITHOUT
#  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
#  FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License along with
#  this program; if not, write to the Free Software Foundation, Inc., 59 Temple
#  Place - Suite 330, Boston, MA 02111-1307, USA
#

PACKAGE = keyringer
VERSION = $(shell ./keyringer | head -n 1 | cut -d ' ' -f 2)
PREFIX ?= /usr/local
INSTALL = /usr/bin/install

clean:
	find . -name *~ | xargs rm -f # clean local backups

install_lib:
	$(INSTALL) -D --mode=0755 lib/keyringer/functions $(DESTDIR)/$(PREFIX)/lib/$(PACKAGE)/functions
	$(INSTALL) -D --mode=0755 -d lib/keyringer/actions $(DESTDIR)/$(PREFIX)/lib/$(PACKAGE)/actions
	$(INSTALL) -D --mode=0755 lib/keyringer/actions/* $(DESTDIR)/$(PREFIX)/lib/$(PACKAGE)/actions

install_bin:
	$(INSTALL) -D --mode=0755 keyringer $(DESTDIR)/$(PREFIX)/bin/keyringer

install_doc:
	$(INSTALL) -D --mode=0644 index.mdwn $(DESTDIR)/$(PREFIX)/share/doc/$(PACKAGE)/README
	$(INSTALL) -D --mode=0644 LICENSE $(DESTDIR)/$(PREFIX)/share/doc/$(PACKAGE)/LICENSE

install_man:
	$(INSTALL) -D --mode=0644 share/man/keyringer.1 $(DESTDIR)/$(PREFIX)/share/man/man1/keyringer.1

install_completion:
	$(INSTALL) -D --mode=0644 lib/keyringer/completions/bash/keyringer $(DESTDIR)/$(PREFIX)/share/bash-completion/completions/keyringer
	$(INSTALL) -D --mode=0644 lib/keyringer/completions/zsh/_keyringer $(DESTDIR)/$(PREFIX)/share/zsh/vendor-completions/_keyringer

install: clean
	@make install_lib install_bin install_doc install_man install_completion

build_man:
	# Pipe output to sed to avoid http://lintian.debian.org/tags/hyphen-used-as-minus-sign.html
	# Fixed in http://johnmacfarlane.net/pandoc/releases.html#pandoc-1.10-2013-01-19
	pandoc -s -w man share/man/keyringer.1.mdwn -o share/man/keyringer.1
	sed -i -e 's/--/\\-\\-/g' share/man/keyringer.1

tarball:
	git archive --prefix=keyringer-$(VERSION)/ --format=tar HEAD | bzip2 >../tarballs/keyringer-$(VERSION).tar.bz2

release:
	@make build_man
	git commit -a -m "Keyringer $(VERSION)"
	git tag -s $(VERSION) -m "Keyringer $(VERSION)"
	@make tarball
	gpg --armor --detach-sign --output ../tarballs/keyringer-$(VERSION).tar.bz2.asc ../tarballs/keyringer-$(VERSION).tar.bz2
	scp ../tarballs/keyringer-$(VERSION).tar.bz2* keyringer:/var/sites/keyringer/releases/

=== debian/changelog ===
keyringer (0.2.9-2) unstable; urgency=low

  * Closes: #732092

 -- Silvio Rhatto <rhatto@riseup.net>  Wed, 18 Dec 2013 17:04:54 -0200

keyringer (0.2.9-1) unstable; urgency=low

  * Point Vcs-Browser to the debian branch
  * Updating Standards-Version to 3.9.5.0
  * Added 'tree' package to Recommends
  * Keyringer 0.2.9

 -- Silvio Rhatto <rhatto@riseup.net>  Tue, 26 Nov 2013 17:18:59 -0200

keyringer (0.2.8-1) unstable; urgency=low

  * Keyringer 0.2.8

 -- Silvio Rhatto <rhatto@riseup.net>  Thu, 14 Nov 2013 19:02:44 -0200

keyringer (0.2.7-1) unstable; urgency=low

  * Adding wipe into package recommendations
  * Packaging upstream 0.2.7

 -- Silvio Rhatto <rhatto@riseup.net>  Thu, 14 Nov 2013 18:39:50 -0200

keyringer (0.2.6-1) unstable; urgency=low

  * Adding debian/gbp.conf
  * Updating development guidelines for a pure pristine-tar build
  * Packaging upstream 0.2.6

 -- Silvio Rhatto <rhatto@riseup.net>  Fri, 04 Oct 2013 13:05:53 -0300

keyringer (0.2.5-1) unstable; urgency=low

  * Packaging upstream 0.2.5

 -- Silvio Rhatto <rhatto@riseup.net>  Fri, 27 Sep 2013 18:00:52 -0300

keyringer (0.2.4-1) unstable; urgency=low

  * Packaging upstream 0.2.4

 -- Silvio Rhatto <rhatto@riseup.net>  Tue, 17 Sep 2013 12:18:27 -0300

keyringer (0.2.3-1) unstable; urgency=low

  * Packaging upstream 0.2.3

 -- Silvio Rhatto <rhatto@riseup.net>  Thu, 05 Sep 2013 18:32:37 -0300

keyringer (0.1-1) unstable; urgency=low

  * Initial release

 -- Silvio Rhatto <rhatto@riseup.net>  Tue, 26 Jun 2012 16:33:57 -0300

=== debian/control ===
Source: keyringer
Section: misc
Priority: extra
Maintainer: Silvio Rhatto <rhatto@riseup.net>
Build-Depends: debhelper (>= 9.20120909~)
Standards-Version: 3.9.5
Homepage: https://keyringer.pw
Vcs-Git: git://git.sarava.org/keyringer.git
Vcs-Browser: https://git.sarava.org/?p=keyringer.git;a=shortlog;h=refs/heads/debian

Package: keyringer
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, git, gnupg, gawk | mawk
Recommends: openssl, xdg-utils, wipe, tree
Description: Distributed secret management using GnuPG and Git
 Keyringer lets you manage and share secrets using GnuPG and Git in a
 distributed fashion. It has custom commands to encrypt, decrypt and
 recrypt secrets as well as create key pairs and supports encryption
 to multiple recipients and groups of different recipients to ensure
 the same repository can be shared with a workgroup but allowing to
 keep some secrets available just to subsets of that group.
 .
 OpenSSL is needed to generate X.509 certificates and keys and
 xdg-utils are needed to open and edit encrypted secrets according
 to their file types.

## keyringer 0.3.7

=== Makefile ===
--- 
+++ 
@@ -14,10 +14,11 @@
 #  Place - Suite 330, Boston, MA 02111-1307, USA
 #
 
-PACKAGE = keyringer
-VERSION = $(shell ./keyringer | head -n 1 | cut -d ' ' -f 2)
-PREFIX ?= /usr/local
-INSTALL = /usr/bin/install
+PACKAGE  = keyringer
+VERSION  = $(shell ./keyringer | head -n 1 | cut -d ' ' -f 2)
+PREFIX  ?= /usr/local
+ARCHIVE ?= tarballs
+INSTALL  = /usr/bin/install
 
 clean:
 	find . -name *~ | xargs rm -f # clean local backups
@@ -26,6 +27,8 @@
 	$(INSTALL) -D --mode=0755 lib/keyringer/functions $(DESTDIR)/$(PREFIX)/lib/$(PACKAGE)/functions
 	$(INSTALL) -D --mode=0755 -d lib/keyringer/actions $(DESTDIR)/$(PREFIX)/lib/$(PACKAGE)/actions
 	$(INSTALL) -D --mode=0755 lib/keyringer/actions/* $(DESTDIR)/$(PREFIX)/lib/$(PACKAGE)/actions
+	$(INSTALL) -D --mode=0755 -d share/keyringer/editors $(DESTDIR)/$(PREFIX)/lib/$(PACKAGE)/editors
+	$(INSTALL) -D --mode=0644 share/keyringer/editors/* $(DESTDIR)/$(PREFIX)/lib/$(PACKAGE)/editors
 
 install_bin:
 	$(INSTALL) -D --mode=0755 keyringer $(DESTDIR)/$(PREFIX)/bin/keyringer
@@ -51,12 +54,30 @@
 	sed -i -e 's/--/\\-\\-/g' share/man/keyringer.1
 
 tarball:
-	git archive --prefix=keyringer-$(VERSION)/ --format=tar HEAD | bzip2 >../tarballs/keyringer-$(VERSION).tar.bz2
+	mkdir -p $(ARCHIVE)
+	git archive --prefix=keyringer-$(VERSION)/ --format=tar HEAD | bzip2 > $(ARCHIVE)/keyringer-$(VERSION).tar.bz2
 
 release:
 	@make build_man
 	git commit -a -m "Keyringer $(VERSION)"
-	git tag -s $(VERSION) -m "Keyringer $(VERSION)"
+	# See https://github.com/nvie/gitflow/issues/87
+	#     https://github.com/nvie/gitflow/pull/160
+	#     https://github.com/nvie/gitflow/issues/50
+	#git flow release finish -s -m "Keyringer $(VERSION)" $(VERSION)
+	git flow release finish -s $(VERSION)
+	git checkout master
 	@make tarball
-	gpg --armor --detach-sign --output ../tarballs/keyringer-$(VERSION).tar.bz2.asc ../tarballs/keyringer-$(VERSION).tar.bz2
-	scp ../tarballs/keyringer-$(VERSION).tar.bz2* keyringer:/var/sites/keyringer/releases/
+	gpg --use-agent --armor --detach-sign --output $(ARCHIVE)/keyringer-$(VERSION).tar.bz2.asc $(ARCHIVE)/keyringer-$(VERSION).tar.bz2
+	scp $(ARCHIVE)/keyringer-$(VERSION).tar.bz2* keyringer:/var/sites/keyringer/releases/
+	# We're doing tagging afterwards:
+	# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=568375
+	#git tag -s $(VERSION) -m "Keyringer $(VERSION)"
+	git checkout develop
+
+debian:
+	git checkout debian
+	git-import-orig --upstream-vcs-tag=$(VERSION) $(ARCHIVE)/keyringer-$(VERSION).tar.bz2
+	# Fine tune debian/changelog prepared by git-dch
+	dch -e
+	git commit -a -m "Updating debian/changelog"
+	git-buildpackage --git-tag-only --git-sign-tags

=== debian/changelog ===
keyringer (0.3.7-1) unstable; urgency=low

  * Added .gitignore
  * Keyringer 0.3.7

 -- Silvio Rhatto <rhatto@riseup.net>  Thu, 21 Aug 2014 17:23:21 -0300

keyringer (0.3.6-1) unstable; urgency=low

  * Keyringer 0.3.6

 -- Silvio Rhatto <rhatto@riseup.net>  Tue, 20 May 2014 12:31:55 -0300

keyringer (0.3.5) unstable; urgency=low

  * Keyringer 0.3.5

 -- Silvio Rhatto <rhatto@riseup.net>  Tue, 20 May 2014 12:06:26 -0300

keyringer (0.3.4-1) unstable; urgency=low

  * Keyringer 0.3.4

 -- Silvio Rhatto <rhatto@riseup.net>  Fri, 16 May 2014 16:57:28 -0300

keyringer (0.3.3-1) unstable; urgency=low

  * Keyringer 0.3.3

 -- rhatto <rhatto@riseup.net>  Sat, 22 Mar 2014 16:47:54 -0300

keyringer (0.3.2-1) unstable; urgency=low

  * Keyringer 0.3.2

 -- Silvio Rhatto <rhatto@riseup.net>  Fri, 14 Mar 2014 13:52:02 -0300

keyringer (0.3.1-1) unstable; urgency=low

  * Keyringer 0.3.1

 -- Silvio Rhatto <rhatto@riseup.net>  Fri, 14 Mar 2014 13:26:22 -0300

keyringer (0.3-1) unstable; urgency=low

  * Added xclip into Recommends
  * Keyringer 0.3

 -- Silvio Rhatto <rhatto@riseup.net>  Thu, 20 Feb 2014 11:10:24 -0300

## keyringer 0.3.8

=== debian/changelog ===
keyringer (0.3.8-1) unstable; urgency=low

  * Keyringer 0.3.8

 -- Silvio Rhatto <rhatto@riseup.net>  Mon, 30 Mar 2015 09:05:09 -0300

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Package: keyringer
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, git, gnupg, gawk | mawk
-Recommends: openssl, xdg-utils, wipe, tree
+Recommends: openssl, xdg-utils, wipe, tree, xclip
 Description: Distributed secret management using GnuPG and Git
  Keyringer lets you manage and share secrets using GnuPG and Git in a
  distributed fashion. It has custom commands to encrypt, decrypt and

=== debian/watch ===
version=3
https://keyringer.pw/releases/keyringer-(.*)\.tar\.bz2

## keyringer 0.5.0

=== Makefile ===
--- 
+++ 
@@ -34,7 +34,7 @@
 	$(INSTALL) -D --mode=0755 keyringer $(DESTDIR)/$(PREFIX)/bin/keyringer
 
 install_doc:
-	$(INSTALL) -D --mode=0644 index.mdwn $(DESTDIR)/$(PREFIX)/share/doc/$(PACKAGE)/README
+	$(INSTALL) -D --mode=0644 index.mdwn $(DESTDIR)/$(PREFIX)/share/doc/$(PACKAGE)/README.md
 	$(INSTALL) -D --mode=0644 LICENSE $(DESTDIR)/$(PREFIX)/share/doc/$(PACKAGE)/LICENSE
 
 install_man:
@@ -64,8 +64,9 @@
 	#     https://github.com/nvie/gitflow/pull/160
 	#     https://github.com/nvie/gitflow/issues/50
 	#git flow release finish -s -m "Keyringer $(VERSION)" $(VERSION)
-	git flow release finish -s $(VERSION)
+	#git flow release finish -s $(VERSION)
 	git checkout master
+	git merge develop
 	@make tarball
 	gpg --use-agent --armor --detach-sign --output $(ARCHIVE)/keyringer-$(VERSION).tar.bz2.asc $(ARCHIVE)/keyringer-$(VERSION).tar.bz2
 	scp $(ARCHIVE)/keyringer-$(VERSION).tar.bz2* keyringer:/var/sites/keyringer/releases/
@@ -81,3 +82,11 @@
 	dch -e
 	git commit -a -m "Updating debian/changelog"
 	git-buildpackage --git-tag-only --git-sign-tags
+
+web:
+	@ikiwiki --setup ikiwiki.setup
+
+web_deploy:
+	@rsync -avz --delete www/ blog:/var/sites/keyringer/www/
+
+publish: web web_deploy

=== debian/changelog ===
keyringer (0.5.0-2) unstable; urgency=medium

  * Adds xdotool into Recommends

 -- Silvio Rhatto <rhatto@riseup.net>  Wed, 21 Dec 2016 10:28:04 -0200

keyringer (0.5.0-1) unstable; urgency=medium

  * Keyringer 0.5.0

 -- Silvio Rhatto <rhatto@riseup.net>  Wed, 21 Dec 2016 10:19:50 -0200

keyringer (0.4.1-1) unstable; urgency=low

  * Ignores build-area, www and .ikiwiki folders
  * Removes unneeded debian/docs
  * Minor lintian command change
  * Updates Standards-Version
  * Adds cryptographic signature verification for debian packaging
  * Adds build-area into .gitignore
  * Keyringer 0.4.1

 -- Silvio Rhatto <rhatto@riseup.net>  Thu, 17 Nov 2016 11:33:54 -0200

keyringer (0.4.0-1) unstable; urgency=medium

  * Adopts Semantic Versioning
  * Do not rely on git-flow
  * Adds sclip action
  * Ensure destination path exists at mv action
  * Allow @ at file names
  * Slightly more interactive keyringer_get_file
  * Updates URLs and static site generation

 -- Silvio Rhatto <rhatto@riseup.net>  Wed, 09 Nov 2016 10:27:57 -0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: extra
 Maintainer: Silvio Rhatto <rhatto@riseup.net>
 Build-Depends: debhelper (>= 9.20120909~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://keyringer.pw
-Vcs-Git: git://git.sarava.org/keyringer.git
-Vcs-Browser: https://git.sarava.org/?p=keyringer.git;a=shortlog;h=refs/heads/debian
+Vcs-Git: https://git.fluxo.info/keyringer
+Vcs-Browser: https://git.fluxo.info/keyringer/log/?h=debian
 
 Package: keyringer
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, git, gnupg, gawk | mawk
-Recommends: openssl, xdg-utils, wipe, tree, xclip
+Recommends: openssl, xdg-utils, wipe, tree, xclip, xdotool
 Description: Distributed secret management using GnuPG and Git
  Keyringer lets you manage and share secrets using GnuPG and Git in a
  distributed fashion. It has custom commands to encrypt, decrypt and

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_install:
	$(MAKE) DESTDIR=debian/keyringer PREFIX=/usr install
	rm debian/keyringer/usr/share/doc/keyringer/LICENSE

## keyringer 0.5.3

=== Makefile ===
--- 
+++ 
@@ -17,6 +17,7 @@
 PACKAGE  = keyringer
 VERSION  = $(shell ./keyringer | head -n 1 | cut -d ' ' -f 2)
 PREFIX  ?= /usr/local
+MANDIR	?=$(PREFIX)/share/man
 ARCHIVE ?= tarballs
 INSTALL  = /usr/bin/install
 
@@ -24,25 +25,25 @@
 	find . -name *~ | xargs rm -f # clean local backups
 
 install_lib:
-	$(INSTALL) -D --mode=0755 lib/keyringer/functions $(DESTDIR)/$(PREFIX)/lib/$(PACKAGE)/functions
-	$(INSTALL) -D --mode=0755 -d lib/keyringer/actions $(DESTDIR)/$(PREFIX)/lib/$(PACKAGE)/actions
-	$(INSTALL) -D --mode=0755 lib/keyringer/actions/* $(DESTDIR)/$(PREFIX)/lib/$(PACKAGE)/actions
-	$(INSTALL) -D --mode=0755 -d share/keyringer/editors $(DESTDIR)/$(PREFIX)/lib/$(PACKAGE)/editors
-	$(INSTALL) -D --mode=0644 share/keyringer/editors/* $(DESTDIR)/$(PREFIX)/lib/$(PACKAGE)/editors
+	$(INSTALL) -D -m 0755 lib/keyringer/functions $(DESTDIR)/$(PREFIX)/lib/$(PACKAGE)/functions
+	$(INSTALL) -D -m 0755 -d lib/keyringer/actions $(DESTDIR)/$(PREFIX)/lib/$(PACKAGE)/actions
+	$(INSTALL) -D -m 0755 lib/keyringer/actions/* $(DESTDIR)/$(PREFIX)/lib/$(PACKAGE)/actions
+	$(INSTALL) -D -m 0755 -d share/keyringer/editors $(DESTDIR)/$(PREFIX)/lib/$(PACKAGE)/editors
+	$(INSTALL) -D -m 0644 share/keyringer/editors/* $(DESTDIR)/$(PREFIX)/lib/$(PACKAGE)/editors
 
 install_bin:
-	$(INSTALL) -D --mode=0755 keyringer $(DESTDIR)/$(PREFIX)/bin/keyringer
+	$(INSTALL) -D -m 0755 keyringer $(DESTDIR)/$(PREFIX)/bin/keyringer
 
 install_doc:
-	$(INSTALL) -D --mode=0644 index.mdwn $(DESTDIR)/$(PREFIX)/share/doc/$(PACKAGE)/README.md
-	$(INSTALL) -D --mode=0644 LICENSE $(DESTDIR)/$(PREFIX)/share/doc/$(PACKAGE)/LICENSE
+	$(INSTALL) -D -m 0644 index.md $(DESTDIR)/$(PREFIX)/share/doc/$(PACKAGE)/README.md
+	$(INSTALL) -D -m 0644 LICENSE $(DESTDIR)/$(PREFIX)/share/doc/$(PACKAGE)/LICENSE
 
 install_man:
-	$(INSTALL) -D --mode=0644 share/man/keyringer.1 $(DESTDIR)/$(PREFIX)/share/man/man1/keyringer.1
+	$(INSTALL) -D -m 0644 share/man/keyringer.1 $(DESTDIR)/$(MANDIR)/man1/keyringer.1
 
 install_completion:
-	$(INSTALL) -D --mode=0644 lib/keyringer/completions/bash/keyringer $(DESTDIR)/$(PREFIX)/share/bash-completion/completions/keyringer
-	$(INSTALL) -D --mode=0644 lib/keyringer/completions/zsh/_keyringer $(DESTDIR)/$(PREFIX)/share/zsh/vendor-completions/_keyringer
+	$(INSTALL) -D -m 0644 lib/keyringer/completions/bash/keyringer $(DESTDIR)/$(PREFIX)/share/bash-completion/completions/keyringer
+	$(INSTALL) -D -m 0644 lib/keyringer/completions/zsh/_keyringer $(DESTDIR)/$(PREFIX)/share/zsh/vendor-completions/_keyringer
 
 install: clean
 	@make install_lib install_bin install_doc install_man install_completion
@@ -50,7 +51,7 @@
 build_man:
 	# Pipe output to sed to avoid http://lintian.debian.org/tags/hyphen-used-as-minus-sign.html
 	# Fixed in http://johnmacfarlane.net/pandoc/releases.html#pandoc-1.10-2013-01-19
-	pandoc -s -w man share/man/keyringer.1.mdwn -o share/man/keyringer.1
+	pandoc -s -w man share/man/keyringer.1.md -o share/man/keyringer.1
 	sed -i -e 's/--/\\-\\-/g' share/man/keyringer.1
 
 tarball:
@@ -77,11 +78,11 @@
 
 debian:
 	git checkout debian
-	git-import-orig --upstream-vcs-tag=$(VERSION) $(ARCHIVE)/keyringer-$(VERSION).tar.bz2
+	gbp import-orig --upstream-vcs-tag=$(VERSION) $(ARCHIVE)/keyringer-$(VERSION).tar.bz2
 	# Fine tune debian/changelog prepared by git-dch
 	dch -e
 	git commit -a -m "Updating debian/changelog"
-	git-buildpackage --git-tag-only --git-sign-tags
+	gbp buildpackage --git-tag-only --git-sign-tags
 
 web:
 	@ikiwiki --setup ikiwiki.setup

=== debian/changelog ===
keyringer (0.5.3-1) unstable; urgency=medium

  * Keyringer 0.5.3

 -- Silvio Rhatto <rhatto@riseup.net>  Wed, 30 May 2018 14:45:59 -0300

keyringer (0.5.2-1) unstable; urgency=medium

  * Keyringer 0.5.2
  * Update 'git-dch' to 'gbp dch' and 'git-import-orig' to 'gbp import-orig'

 -- Silvio Rhatto <rhatto@riseup.net>  Fri, 03 Nov 2017 11:03:52 -0200

keyringer (0.5.1-1) unstable; urgency=medium

  * Updates Standards-Version to 3.9.8
  * Installation: on commit signatures and Debian stable
  * Keyringer 0.5.1

 -- Silvio Rhatto <rhatto@riseup.net>  Wed, 31 May 2017 19:21:10 -0300

## keyringer 0.5.4

=== debian/changelog ===
keyringer (0.5.4-1) unstable; urgency=medium

  * Keyringer 0.5.4

 -- Silvio Rhatto <rhatto@riseup.net>  Wed, 30 Jan 2019 15:01:36 -0200

## keyringer 0.5.5

=== Makefile ===
--- 
+++ 
@@ -85,7 +85,7 @@
 	gbp buildpackage --git-tag-only --git-sign-tags
 
 web:
-	@ikiwiki --setup ikiwiki.setup
+	@ikiwiki --setup ikiwiki.yaml
 
 web_deploy:
 	@rsync -avz --delete www/ blog:/var/sites/keyringer/www/

=== debian/changelog ===
keyringer (0.5.5-1) unstable; urgency=medium

  * Keyringer 0.5.5

 -- Silvio Rhatto <rhatto@riseup.net>  Thu, 14 Nov 2019 15:16:07 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Silvio Rhatto <rhatto@riseup.net>
 Build-Depends: debhelper (>= 9.20120909~)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://keyringer.pw
 Vcs-Git: https://git.fluxo.info/keyringer
 Vcs-Browser: https://git.fluxo.info/keyringer/log/?h=debian

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://keyringer.pw/releases/keyringer-(.+)\.tar\.bz2
https://keyringer.pw/releases/keyringer-(.*)\.tar\.bz2

## keyringer 0.5.9

=== Makefile ===
--- 
+++ 
@@ -28,8 +28,8 @@
 	$(INSTALL) -D -m 0755 lib/keyringer/functions $(DESTDIR)/$(PREFIX)/lib/$(PACKAGE)/functions
 	$(INSTALL) -D -m 0755 -d lib/keyringer/actions $(DESTDIR)/$(PREFIX)/lib/$(PACKAGE)/actions
 	$(INSTALL) -D -m 0755 lib/keyringer/actions/* $(DESTDIR)/$(PREFIX)/lib/$(PACKAGE)/actions
-	$(INSTALL) -D -m 0755 -d share/keyringer/editors $(DESTDIR)/$(PREFIX)/lib/$(PACKAGE)/editors
-	$(INSTALL) -D -m 0644 share/keyringer/editors/* $(DESTDIR)/$(PREFIX)/lib/$(PACKAGE)/editors
+	$(INSTALL) -D -m 0755 -d share/keyringer/editors $(DESTDIR)/$(PREFIX)/share/$(PACKAGE)/editors
+	$(INSTALL) -D -m 0644 share/keyringer/editors/* $(DESTDIR)/$(PREFIX)/share/$(PACKAGE)/editors
 
 install_bin:
 	$(INSTALL) -D -m 0755 keyringer $(DESTDIR)/$(PREFIX)/bin/keyringer
@@ -43,7 +43,7 @@
 
 install_completion:
 	$(INSTALL) -D -m 0644 lib/keyringer/completions/bash/keyringer $(DESTDIR)/$(PREFIX)/share/bash-completion/completions/keyringer
-	$(INSTALL) -D -m 0644 lib/keyringer/completions/zsh/_keyringer $(DESTDIR)/$(PREFIX)/share/zsh/vendor-completions/_keyringer
+	$(INSTALL) -D -m 0644 lib/keyringer/completions/zsh/_keyringer $(DESTDIR)/$(PREFIX)/share/zsh/site-functions/_keyringer
 
 install: clean
 	@make install_lib install_bin install_doc install_man install_completion

=== debian/changelog ===
keyringer (0.5.9-2) unstable; urgency=medium

  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Update urls in d/watch.
  * Update signing-key.
  * Bump Standards-Version (no changes needed).
  * Add sensible-utils to Depends.
  * Bash-completion files are sourced, so remove shebang.
  * Bump d/watch version.
  * Add Rules-Requires-Root: no
  * Add upstream/metadata.

 -- Sandro Knauß <hefee@debian.org>  Mon, 02 Dec 2024 23:07:53 +0100

keyringer (0.5.9-1) unstable; urgency=medium

  * Keyringer 0.5.9

 -- Silvio Rhatto <rhatto@riseup.net>  Sat, 18 Mar 2023 10:52:43 -0300

keyringer (0.5.8-1) unstable; urgency=medium

  * Keyringer 0.5.8
  * Adds a .gitignore for the debian branch

 -- Silvio Rhatto <rhatto@riseup.net>  Fri, 19 Aug 2022 12:19:02 -0300

keyringer (0.5.7-1) unstable; urgency=medium

  * Keyringer 0.5.7
  * New upstream URLs (Closes: #1022709)
  * Rename 'git-import-orig' to 'import-orig' at gbp.conf

 -- Silvio Rhatto <rhatto@riseup.net>  Mon, 27 Jun 2022 09:06:40 -0300

keyringer (0.5.6-1) unstable; urgency=medium

  * Keyringer 0.5.6 (Closes: #990255)

 -- Silvio Rhatto <rhatto@riseup.net>  Sat, 03 Jul 2021 10:51:50 -0300

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,12 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ 
+	dh $@
 
 override_dh_auto_install:
 	$(MAKE) DESTDIR=debian/keyringer PREFIX=/usr install
 	rm debian/keyringer/usr/share/doc/keyringer/LICENSE
+
+execute_after_dh_auto_install:
+	# Fix bash-completion-with-hashbang bash
+	sed 's/^#!\s*bash//' -i debian/keyringer/usr/share/bash-completion/completions/keyringer

## keyringer 0.6.0

=== Makefile ===
--- 
+++ 
@@ -82,7 +82,7 @@
 	# Fine tune debian/changelog prepared by git-dch
 	dch -e
 	git commit -a -m "Updating debian/changelog"
-	gbp buildpackage --git-tag-only --git-sign-tags
+	gbp buildpackage --git-tag-only --git-sign-tags --git-ignore-new
 
 web:
 	@ikiwiki --setup ikiwiki.yaml

=== debian/changelog ===
keyringer (0.6.0-1) unstable; urgency=medium

  * Keyringer 0.6.0
  * Fix: add --git-ignore-new into gbp invocations
  * Fix: debian/rules: no need to remove shebang from bash completion file anymore (#9)
  * Fix: adds .gitignore in the debian branch, in an attempt stop gbp complaining of files outside the Git index

 -- Silvio Rhatto <rhatto@riseup.net>  Sat, 04 Jan 2025 18:49:08 -0300

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: keyringer
 Section: misc
-Priority: extra
+Priority: optional
 Maintainer: Silvio Rhatto <rhatto@riseup.net>
-Build-Depends: debhelper (>= 9.20120909~)
-Standards-Version: 3.9.8
-Homepage: https://keyringer.pw
-Vcs-Git: https://git.fluxo.info/keyringer
-Vcs-Browser: https://git.fluxo.info/keyringer/log/?h=debian
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
+Homepage: https://keyringer.fluxo.info
+Vcs-Git: https://0xacab.org/rhatto/keyringer.git
+Vcs-Browser: https://0xacab.org/rhatto/keyringer/-/tree/debian
 
 Package: keyringer
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, git, gnupg, gawk | mawk
+Depends: ${shlibs:Depends}, ${misc:Depends}, git, gnupg, gawk | mawk, sensible-utils
 Recommends: openssl, xdg-utils, wipe, tree, xclip, xdotool
 Description: Distributed secret management using GnuPG and Git
  Keyringer lets you manage and share secrets using GnuPG and Git in a

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	$(MAKE) DESTDIR=debian/keyringer PREFIX=/usr install
	rm debian/keyringer/usr/share/doc/keyringer/LICENSE

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://keyringer.fluxo.info/releases/keyringer-(.+)\.tar\.bz2
